Skip to main content
`Ctrl`+`K`

# MFNGetTolerances

Gets the tolerance and maximum iteration count used by the `MFN` convergence tests.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNGetTolerances(MFN mfn,PetscReal *tol,PetscInt *maxits)

Not Collective

## Input Parameter

- mfn - the matrix function solver context

## Output Parameters

- tol - the convergence tolerance

- maxits - maximum number of iterations

## Notes

The user can specify `NULL` for any parameter that is not needed.

## See Also

MFN: Matrix Function, `MFNSetTolerances()`

## Level

intermediate

## Location

src/mfn/interface/mfnopts.c

## Examples

src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex37.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages